package com.ruoyi.system.domain;

import java.util.Date;
import javax.validation.constraints.NotBlank;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;

public class SysApplicationCase extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "ID", cellType = ColumnType.NUMERIC)
    private Long id;

    @Excel(name = "案例名称")
    @NotBlank(message = "案例名称不能为空")
    private String caseName;

    @Excel(name = "缩略图")
    private String thumbnail;

    /** 简介（富文本） */
    private String introduction;

    @Excel(name = "应用领域")
    private String applicationField;

    @Excel(name = "应用单位")
    private String applicationUnit;

    @Excel(name = "发布时间")
    private Date publishTime;

    @Excel(name = "发布人")
    private String publisher;

    @Excel(name = "排序", cellType = ColumnType.NUMERIC)
    private Integer sort;

    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getCaseName()
    {
        return caseName;
    }

    public void setCaseName(String caseName)
    {
        this.caseName = caseName;
    }

    public String getThumbnail()
    {
        return thumbnail;
    }

    public void setThumbnail(String thumbnail)
    {
        this.thumbnail = thumbnail;
    }

    public String getIntroduction()
    {
        return introduction;
    }

    public void setIntroduction(String introduction)
    {
        this.introduction = introduction;
    }

    public String getApplicationField()
    {
        return applicationField;
    }

    public void setApplicationField(String applicationField)
    {
        this.applicationField = applicationField;
    }

    public String getApplicationUnit()
    {
        return applicationUnit;
    }

    public void setApplicationUnit(String applicationUnit)
    {
        this.applicationUnit = applicationUnit;
    }

    public Date getPublishTime()
    {
        return publishTime;
    }

    public void setPublishTime(Date publishTime)
    {
        this.publishTime = publishTime;
    }

    public String getPublisher()
    {
        return publisher;
    }

    public void setPublisher(String publisher)
    {
        this.publisher = publisher;
    }

    public Integer getSort()
    {
        return sort;
    }

    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("caseName", getCaseName())
            .append("thumbnail", getThumbnail())
            .append("introduction", getIntroduction())
            .append("applicationField", getApplicationField())
            .append("applicationUnit", getApplicationUnit())
            .append("publishTime", getPublishTime())
            .append("publisher", getPublisher())
            .append("sort", getSort())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
